/* Esconde a barra de rolagem visual, mas mantém a funcionalidade de arrastar/deslizar */
.hide-scroll-bar {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
.hide-scroll-bar::-webkit-scrollbar {
    display: none; /* Chrome, Safari e Opera */
}

/* Efeito suave de esconder o menu quando rola a página para baixo */
.header-hidden {
    transform: translateY(-100%);
}

/* Garante que o scroll no site seja macio */
html {
    scroll-behavior: smooth;
}